- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: a2b3f976-dd67-4e28-ba4e-942f1fbf110b
    creation_time: 2023-02-17T12:07:06.554001Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.c
      input_file_hashes:
        c/loop-invgen/half_2.c: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.c
    file_hash: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
    line: 9
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: 2*k+i == 2*n &&  ( i <= n+1 || n < 0 ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d4ebcde2-db08-4c44-acef-df32b635a6f6
    creation_time: 2023-02-17T12:07:06.554202Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.c
      input_file_hashes:
        c/loop-invgen/half_2.c: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.c
    file_hash: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
    line: 16
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: j >= 0 &&  ( n-1 <= 2*j+2*k && 2*j+2*k <= n || n < 0 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a334b2f5-936c-4380-9067-ecaaf12ef49d
    creation_time: 2023-02-17T12:07:06.554381Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.c
      input_file_hashes:
        c/loop-invgen/half_2.c: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.c
    file_hash: 2c945d3fb17bfa15bf4cb20fe55a191c2294f003a82730e2d5b532d3ead10ba7
    line: 17
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k > 0
    type: assertion
    format: C

